#include <bits/stdc++.h>
using namespace std;
long ucln(long a,long b)
{
    long r;
    if(a<b){
        return ucln(b,a);
    }
    r=a%b;
    if(r==0){
        return b;
    }
    else
        return ucln(b,r);
}
int main()
{
    ifstream f1("DQUC.inp");
    ofstream f2("DQUC.out");
    long n;
    f1>>n;
    long s[100000];
    for(long i=1;i<=n;i++){
        f1>>s[i];
    }
    long d=ucln(s[1],s[2]);
    for(long i=3;i<=n;i++){
        d=ucln(d,s[i]);
    }
    f2<<d;
    f1.close();
    f2.close();
}
